cURL
curl 'https://{domo-domain}/api/query/migration/integrations/types' \
-H 'accept: application/json,*/*;q=0.8' \
-H 'accept-language: en-US,en;q=0.9' \
-H 'cache-control: max-age=0' \
-H 'X-DOMO-Developer-Token: {developer-token}'import requests
url = "https://{instance}.domo.com/api/query/migration/integrations/types"
headers = {"X-DOMO-Developer-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-DOMO-Developer-Token': '<api-key>'}};
fetch('https://{instance}.domo.com/api/query/migration/integrations/types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
"BIGQUERY",
"SNOWFLAKE"
]Federated V2 to V1 Migration APIs
List Cloud Amplifier Integration Types
Retrieves a list of the Cloud Amplifier integration types matching integrations that exist in the Domo instance.
GET
/
api
/
query
/
migration
/
integrations
/
types
cURL
curl 'https://{domo-domain}/api/query/migration/integrations/types' \
-H 'accept: application/json,*/*;q=0.8' \
-H 'accept-language: en-US,en;q=0.9' \
-H 'cache-control: max-age=0' \
-H 'X-DOMO-Developer-Token: {developer-token}'import requests
url = "https://{instance}.domo.com/api/query/migration/integrations/types"
headers = {"X-DOMO-Developer-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-DOMO-Developer-Token': '<api-key>'}};
fetch('https://{instance}.domo.com/api/query/migration/integrations/types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
"BIGQUERY",
"SNOWFLAKE"
]Authorizations
Domo access token generated from the admin panel
Response
200 - application/json
Successful response
Available options:
BIGQUERY, SNOWFLAKE List Datasource Migration Candidates by Amplifier IntegrationList Cloud Amplifier Integrations by Type
⌘I